gtkmm: Gtk::HButtonBox Class Reference

# Gtk::HButtonBox Class Reference
[Widgets, Container Widgets]

A container for arranging buttons horizontally. More...

Inherits Gtk::ButtonBox.

Collaboration diagram for Gtk::HButtonBox:
[legend]

List of all members.

## Public Member Functions
virtual | ~HButtonBox ()
GtkHButtonBox* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkHButtonBox* | gobj () const
| Provides access to the underlying C GtkObject.
| HButtonBox (ButtonBoxStyle layout=BUTTONBOX_DEFAULT_STYLE, int spacing=BUTTONBOX_DEFAULT)
## Related Functions
(Note that these are not member functions.)
Gtk::HButtonBox* | wrap (GtkHButtonBox* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A container for arranging buttons horizontally.

A button box should be used to provide a consistent layout of buttons throughout your application. There is one default layout and a default spacing value that are persistant across all Gtk::HButtonBox widgets.

The layout/spacing can then be altered by the programmer, or if desired, by the user to alter the 'feel' of a program to a small degree.

The HButtonBox widget looks like this:

## Constructor & Destructor Documentation

virtual Gtk::HButtonBox::~HButtonBox | ( |  | ) | `[virtual]`

Gtk::HButtonBox::HButtonBox | ( | ButtonBoxStyle | layout = `BUTTONBOX_DEFAULT_STYLE`,
|  | int | spacing = `BUTTONBOX_DEFAULT` |
| ) |  |  | `[explicit]`

## Member Function Documentation

const GtkHButtonBox* Gtk::HButtonBox::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ButtonBox.

GtkHButtonBox* Gtk::HButtonBox::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ButtonBox.

## Friends And Related Function Documentation

Gtk::HButtonBox* wrap | ( | GtkHButtonBox * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/buttonbox.h